Skip to main content
POST
/
functions
/
{function_id}
/
fork
python
from notte_sdk import NotteClient

notte = NotteClient()
fn = notte.Function("<public_function_id>")
# creates a private copy of the function (only works for public functions)
fn = fn.fork()
{
  "function_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "latest_version": "<string>",
  "versions": [
    "<string>"
  ],
  "status": "<string>",
  "workflow_id": "<string>",
  "variables": [
    {
      "name": "<string>",
      "type": "<string>",
      "default": "<string>"
    }
  ],
  "name": "<string>",
  "description": "<string>",
  "shared": false,
  "reference_workflow_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.notte.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

function_id
string
required

Response

Successful Response

function_id
string
required

The ID of the function

created_at
string<date-time>
required

The creation time of the workflow

updated_at
string<date-time>
required

The last update time of the workflow

latest_version
string
required

The version of the workflow

versions
string[]
required

The versions of the workflow

status
string
required

The status of the workflow

workflow_id
string
required
read-only
variables
ParameterInfo · object[] | null

The variables to run the workflow with

name
string | null

The name of the workflow

description
string | null

The description of the workflow

shared
boolean
default:false

Whether the workflow is public and can beshared with other users

reference_workflow_id
string | null

The ID of the reference workflow (i.e wether the workflow was forked from another workflow or not)